#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
	int drugi_krug, treci_krug;
	cin >> drugi_krug >> treci_krug;

	int min_prvi_drugi = 256 - drugi_krug;
	int min_prvi_treci = 256 - treci_krug;

	// Ako vec ima dovoljno poena u drugom i trecem resenje je 0
	if (drugi_krug + treci_krug >= 256)
		cout << 0;
	else
		cout << min(min_prvi_drugi, min_prvi_treci);
	
	return 0;
}